import {get, post, uploadFile} from './http'

const prefix = '/order';
/**
 * 获取扫码诊所的商品详情
 * @param params
 * @returns {Promise<*>}
 */
export async function genOrderApi(params) {
    return await post(`${prefix}/gen-order`, params, 3)
}
/**
 * 创建订单 - 购物车
 * @param params
 * @returns {Promise<*>}
 */
export async function genOrderByCartApi(params) {
    return await post(`${prefix}/gen-order-by-cart`, params, 3)
}
/**
 * 保存购药、复诊状态下的挂号信息
 * @param params
 * @returns {Promise<*>}
 */
export async function saveRegisterInfoApi(params) {
    return await post(`${prefix}/save-register-info`, params, 3)
}

/**
 * 查询订单的处方状态
 * @param params
 * @returns {Promise<*>}
 */
export async function getPrescriptionStatusApi(params) {
    return await post('/order/prescription-status', params, 3)
}
